# Irc c'est pas compliqué

> Comment se connecter à IRC depuis perso ? 

Note : tout ceci est 
**WIP**

## Linux / mac 

Ouvrez un terminal, puis tapez les commandes suivantes : 

``` ssh loginARISE@perso.iiens.net``` ^1

``` screen -S irc -RD irssi ```

^1 ```loginARISE``` est votre login pour tous les services d'ARiSE composé des 8 premières lettres de votre nom de famille, suivi de votre année d'entrée à l'école

## Windows 

Si vous avez Windows 10, vous pouvez installer [WSL](https://doc.ubuntu-fr.org/wsl) depuis le store. Sinon, lancez [putty](https://www.putty.org). 

> Dans la fenetre de putty :

Adresse : 
``` loginARISE@perso.iiens.net ``` ^1

Puis dans le terminal : Tapez votre mot de passe iiens.net, validez, puis exécutez la commande : ``` screen -S irc -RD irssi ```


Félicitations, vous avez réussi à acceder à IRC.

## Se 'deconnecter'

Quand vous voulez arreter d'utiliser IRC, **n'utilisez surtout pas ``` /quit ```** 

La combinaison de touches à utiliser est ``` ctrl+a ``` -> ``` d ```. Elle vous ramenera à votre terminal (pour retourner sur irc : ``` screen -S irc -RD irssi ```, etc, etc.)


## Commandes utilisables 

Allez, pour les deux du fond qui ont réussi jusqu'ici, je fais la suite.

### TODO : ici une capture d'ecran d'une fenetre irssi avec des fleches et des descriptions

> changer de pseudo : 
``` /nick <nouveaupseudo> ```

> rejoindre un canal :
``` /join #<canal> ```, ou ``` /join <canal> ```

> quitter le canal sur lequel on se trouve :
``` /part ```, ou ``` /wc ```

> naviguer entre les différents canaux : 
``` esc + fleches gauches/droites ```, ou ``` /window <numero> ```, ou ``` ctrl + n/p ```, ou ``` alt + fleches gauches/droites ```

> se rendre dans la fenêtre d'activité la plus récente : 
``` esc + a ```, ou ``` alt + a```

> envoyer un mp à quelqu'un : 
``` /msg <pseudo> <message> ```, ou ``` /q <pseudo> ``` pour simplement ouvrir la fenêtre de query

## Services 

Il y a deux services principaux sur IRC. *NickServ* vous permet de sécuriser votre pseudo pour éviter les usurpations d'identité, et *ChanServ* vous permet d'enregistrer des canaux (pour en devenir le maitre absolu)

### NickServ 

Note : on utilisera ici l'alias `/ns`, qui signifie `/msg NickServ`

> enregistrer son pseudo actuel : 
``` /ns register <motDePasse> <email> ```

**retenez le mot de passe, il vous servira** 

> s'identifier pour utiliser un pseudo enregistré : 
``` /ns identify <motDePasseAssociéAuNick> ```

> dans le doute : 
``` /ns help ```

### ChanServ

Note, on utilisera l'alias `/cs`, qui signifie `/msg ChanServ`

>enregistrer un canal : 
``` /cs register #<canal> ```

> dans le doute : 
> ``` /cs help ```


## Scripts

Un truc super cool avec IRC, ce sont les scripts. Il permettent de faire plein de trucs ! Ici une liste (non exhaustive) des scripts utilisés régulièrement par l'auteur de ce tuto

> pour charger un script : ``` /script load <nomDuScript> ```

Pour une liste plus complète de scripts, je vous renvoie [ici](http://ollivier.iiens.net), c'est plutôt cool. 
